# -*- coding: utf-8 -*-
################################################################################
#
#  pyCatapult -- Python Interface to ECRS Catapult
#  Copyright © 2016 Lance Edgar
#
#  This file is part of pyCatapult.
#
#  pyCatapult is free software: you can redistribute it and/or modify it under
#  the terms of the GNU General Public License as published by the Free
#  Software Foundation, either version 3 of the License, or (at your option)
#  any later version.
#
#  pyCatapult is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
#  You should have received a copy of the GNU General Public License along with
#  pyCatapult.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################
"""
Data Model for Web API
"""

from __future__ import unicode_literals, absolute_import


class Base(object):
    pass

class DiscountProfile(Base):
    pass

class MembershipProfile(Base):
    pass

class Address(Base):
    pass

class Email(Base):
    pass

class Phone(Base):
    pass

class Customer(Base):
    pass

class CustomerStoreCoupon(Base):
    pass

class Employee(Base):
    pass

class Transaction(Base):

    @property
    def effective_line_items(self):
        return [item for item in self.line_items
                if not item.void]

class TransactionLineItem(Base):
    pass
